Package org.eclipse.microprofile.config.tck

# Class ConfigPropertiesTest.BeanOne

java.lang.Object
org.eclipse.microprofile.config.tck.ConfigPropertiesTest.BeanOne

Enclosing class:
  ConfigPropertiesTest

@ConfigProperties(prefix="customer") @Dependent public static class ConfigPropertiesTest.BeanOne extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`String[]`
`hobbies`
`protected String`
`job`
`Location`
`location`

## Constructor Summary

Constructors
Constructor
Description
`BeanOne()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### location

public Location location

### job

protected String job

### hobbies

public String[] hobbies

## Constructor Details

### BeanOne

public BeanOne()

## Method Details

### getName

public String getName()

Returns:
  String return the name